Categories:
  - Security
License: MIT
SourceCode: https://github.com/kalaspuffar/secure-quick-reliable-login
IssueTracker: https://github.com/kalaspuffar/secure-quick-reliable-login/issues
Translation: https://poeditor.com/join/project/Jlsa1tqxlx
Changelog: https://raw.githubusercontent.com/kalaspuffar/secure-quick-reliable-login/HEAD/CHANGELOG

AutoName: SQRL Login
Description: |-
    This app is an implementation for SQRL (Secure Quick Reliable Login) on Android.

    Before you begin using SQRL to login to websites, your SQRL private identity
    must be created. You only need one, probably for life, because it reveals
    NOTHING about you, and it's highly secure. It's just a very long (77-digit)
    random number.

    From then on, whenever you login with SQRL to a website, your private identity
    is used to generate another 77-digit number for that one website. Every website
    you visit sees you as a different number, yet every time you return to the same
    site, that site's unique number is regenerated.

    This allows you to be uniquely and permanently identified, yet completely
    anonymous.

    Since you never need to use an eMail address or a password, you never give a
    website your actual identity to protect. If the website's SQRL identities are
    ever stolen, not only would the stolen identities only be valid for that one
    website, but SQRL's cryptography prevents impersonation using stolen identities.

    This is as good as it sounds. It's what we've been waiting for.

RepoType: git
Repo: https://github.com/kalaspuffar/secure-quick-reliable-login.git

Builds:
  - versionName: 0.10.1
    versionCode: 27
    commit: v0.10.1
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: 0.11.0
    versionCode: 28
    commit: v0.11.0
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: 0.12.0
    versionCode: 30
    commit: v0.12.0
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: 0.12.2
    versionCode: 32
    commit: v0.12.2
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild: echo 'android { lintOptions { abortOnError false } }' >> build.gradle

  - versionName: 0.13.1
    versionCode: 35
    commit: v0.13.1
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - \ $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'

  - versionName: 0.13.2
    versionCode: 36
    commit: v0.13.2
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'

  - versionName: 0.13.4
    versionCode: 38
    commit: v0.13.4
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'

  - versionName: 0.13.5
    versionCode: 39
    commit: v0.13.5
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'

  - versionName: 0.14.0
    versionCode: 40
    commit: v0.14.0
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'

  - versionName: 0.15.0
    versionCode: 41
    commit: v0.15.0
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'

  - versionName: 0.16.1
    versionCode: 43
    commit: v0.16.1
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'

  - versionName: 1.0.0
    versionCode: 44
    commit: v1.0.0
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'

  - versionName: 1.5.0
    versionCode: 49
    commit: v1.5.0
    subdir: app
    gradle:
      - yes
    output: gen_build/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - echo 'android { lintOptions { abortOnError false } }' >> build.gradle
      - $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.5.0
CurrentVersionCode: 49
